Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.mappingdmr.model
Interface VMappingDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference, VFeaturePathDomainModelReference

All Known Implementing Classes:
  VMappingDomainModelReferenceImpl

    public interface VMappingDomainModelReference

extends VFeaturePathDomainModelReference

A representation of the model object ' Mapping Domain Model Reference'.

The following features are supported:

- `Mapped Class`
- `Domain Model Reference`

See Also:
  `VMappingdmrPackage.getMappingDomainModelReference()`

Method Summary
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`org.eclipse.emf.ecore.EClass` | `getMappedClass()` Returns the value of the 'Mapped Class' reference.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the ' `Domain Model Reference`' containment reference.
`void` | `setMappedClass(org.eclipse.emf.ecore.EClass value)` Sets the value of the ' `Mapped Class`' reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VFeaturePathDomainModelReference
`getDomainModelEFeature, getDomainModelEReferencePath, setDomainModelEFeature`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getMappedClass

    org.eclipse.emf.ecore.EClass getMappedClass()

  Returns the value of the 'Mapped Class' reference.

  If the meaning of the 'Mapped Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mapped Class' reference.
  See Also:
    `setMappedClass(EClass)`, `VMappingdmrPackage.getMappingDomainModelReference_MappedClass()`

### setMappedClass

    void setMappedClass(org.eclipse.emf.ecore.EClass value)

  Sets the value of the ' `Mapped Class`' reference.

  Parameters:
    `value` - the new value of the 'Mapped Class' reference.
  See Also:
    `getMappedClass()`

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `VMappingdmrPackage.getMappingDomainModelReference_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the ' `Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  See Also:
    `getDomainModelReference()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.